<ui:composition xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/layout/panels/_panel_filter_criteria.xhtml"
                id="pfc_mov">
        <div class="form-inline">
            <div class="col-md-4">
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filterName" value="#{messages['gazelle.pam.PatientsFirstName']}"/>
                    <ui:param name="filterId" value="firstName"/>
                    <ui:param name="filter" value="#{pesManager.movementFilter.filter}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
            </div>
            <div class="col-md-4">
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filterName" value="#{messages['gazelle.pam.PatientsLastName']}"/>
                    <ui:param name="filterId" value="lastName"/>
                    <ui:param name="filter" value="#{pesManager.movementFilter.filter}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
            </div>
            <div class="col-md-4">
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filterName" value="#{messages['gazelle.pam.PatientsGender']}"/>
                    <ui:param name="filterId" value="gender"/>
                    <ui:param name="filter" value="#{pesManager.movementFilter.filter}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
            </div>
        </div>
        <div class="form-horizontal">
        <ui:decorate template="/layout/form/_edit.xhtml">
            <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
            <ui:define name="id" value="visitnb"/>
            <h:inputText id="visitnb" value="#{pesManager.movementFilter.visitNumber}" styleClass="form-control">
                <a4j:ajax event="keyup" render="globalForm"/>
            </h:inputText>
        </ui:decorate>
        </div>
        <div class="form-inline">
            <div class="col-md-6">
                <ui:include src="/filter/filterDate.xhtml">
                    <ui:param name="filterName" value="#{messages['gazelle.pam.Date']}"/>
                    <ui:param name="filterId" value="timestamp"/>
                    <ui:param name="filter" value="#{pesManager.movementFilter.filter}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
            </div>
            <div class="col-md-6">
                <f:subview id="movUser">
                    <ui:include src="/filter/filter.xhtml">
                        <ui:param name="filterName" value="#{messages['users.Username']}"/>
                        <ui:param name="filterId" value="creator"/>
                        <ui:param name="filter" value="#{pesManager.movementFilter.filter}"/>
                        <ui:param name="filterForm" value="globalForm"/>
                    </ui:include>
                </f:subview>
            </div>
        </div>
        <ui:define name="filter_buttons">
            <a4j:commandLink title="#{messages['gazelle.pam.RefreshList']}"
                             render="movementsList">
                <span class="gzl-icon-refresh"/>
            </a4j:commandLink>
            <a4j:commandLink title="#{messages['net.ihe.gazelle.simulator.hl7.ResetCriteria']}"
                             actionListener="#{pesManager.movementFilter.reset()}"
                             render="globalForm">
                <span class="gzl-icon-times-circle"/>
            </a4j:commandLink>
        </ui:define>
    </s:decorate>
    #{dataTableStateHolder.setAscendingOn('movementDate')}
    <rich:dataTable value="#{pesManager.movementFilter.movements}"
                    var="mov" render="ds" id="movementsList"
                    rows="#{dataScrollerMemory.numberOfResultsPerPage}">
        <g:column>
            <f:facet name="header">#{messages['gazelle.simulator.pam.Patient']}</f:facet>
            <h:outputText
                    value="#{mov.encounter.patient.firstName} #{mov.encounter.patient.lastName} (#{mov.encounter.patient.genderCode})"
                    style="font-weight: bold;" styleClass="gzl-never-wrap"/>
            <br/>
            <h:outputText value="#{mov.encounter.visitNumber}"/>
        </g:column>
        <ui:include src="/iti31/abstractMovementsColumns.xhtml">
            <ui:param name="movement" value="#{mov}"/>
        </ui:include>
        <g:column id="movementAction">
            <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
            <div class="gzl-never-wrap">
                <h:outputLink value="#{mov.encounter.getPermanentLink()}" target="blank"
                              title="#{messages['gazelle.pam.AccessDetailsOnPatientAndEncounter']}">
                    <s:span styleClass="gzl-icon-search"/>
                </h:outputLink>
                <a4j:commandLink actionListener="#{pesManager.setSelectedMovement(mov)}"
                                 oncomplete="jq162('#cancelEventModalPanel').modal('show');"
                                 rendered="#{pesManager.selectedAction.name.equals('CANCEL')}"
                                 render="cancelEventModalPanelContent, cancelEventModalPanelButtons"
                                 title="#{messages['gazelle.simulator.pam.Cancel']}">
                    <s:span styleClass="gzl-icon-ban "/>
                </a4j:commandLink>
                <a4j:commandLink title="#{messages['gazelle.simulator.pam.Update']}"
                                 actionListener="#{pesManager.setSelectedMovement(mov)}"
                                 rendered="#{pesManager.selectedAction.name.equals('UPDATE')}"
                                 render="messageConfigurationPanel">
                    <s:span styleClass="gzl-icon-pencil "/>
                </a4j:commandLink>
            </div>
        </g:column>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="ds"/>
                <ui:param name="dataTableId" value="movementsList"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>